#794 Slow typing on OSX

None
fixed
nobody
None
1
2013-09-06
2013-08-19
Kevin Davies
No

Typing in a large complex document is slow and unusable on OSX. I tried opening a new document in a new tab, but it is still slow. However, if I close the tab with the large document, the typing speeds up. So unfortunately it is unusable for me.

Related

Bugs: #794

Discussion

  • is typing always slow or are there only some periods of time when it happens ?
    What machine do you use ?
    And, in the end, you need to provide the document, as otherwise, i have no way of determining the problem. (you can send it directly to me by email)
    In principle txs can handle large documents without problems ...
    (as quick fix, you can try to disable options/Editor/Inline Checking)

     
  • Kevin Davies
    Kevin Davies
    2013-08-19

    Hi Jan,

    I used OSX 10.8 on Macbook with 2.9GHz / 8GB. I just downloaded it and
    tried it for the first time as I wanted tabbed editing for my thesis and
    noticed this problem straight away. I already tried turning off the inline
    checking. Unfortunately I would have to send you my whole thesis which is
    very large (images, plots, etc). I have downloaded Texpad which seems to
    work OK, so maybe I should remove this bug?

    Thanks for the quick response,

    Kevin.

    On Tue, Aug 20, 2013 at 7:31 AM, Jan Sundermeyer
    jsundermeyer@users.sf.netwrote:

    is typing always slow or are there only some periods of time when it
    happens ?
    What machine do you use ?
    And, in the end, you need to provide the document, as otherwise, i have no
    way of determining the problem. (you can send it directly to me by email)
    In principle txs can handle large documents without problems ...
    (as quick fix, you can try to disable options/Editor/Inline Checking)


    Status: open
    Created: Mon Aug 19, 2013 09:15 PM UTC by Kevin Davies
    Last Updated: Mon Aug 19, 2013 09:15 PM UTC
    Owner: nobody

    Typing in a large complex document is slow and unusable on OSX. I tried
    opening a new document in a new tab, but it is still slow. However, if I
    close the tab with the large document, the typing speeds up. So
    unfortunately it is unusable for me.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/bugs/794/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Password Safe: Bugs: #794

  • well, personally I like to see these kind issues to be resolved, but it needs user participation as I don't see the problem here.
    How large a document are we talking about ? (zipped)

     
    • I have the same problem on MacBookPro Retina (27.GhZ i7, 16GB memory). When the file approaches 1000 lines (137 Kb), typing becomes much slower. It becomes quasi-normal when I go back to QT rendering. Even with character width and line cashes disabled it is OK. The latter is the only manner I see the entire text in retina display, and not pixelized. But Qt rendering turns displaying tabs and spaces off. Nothing else seems to have any influence on writing speed. May be turning grammar check and java language services off helps a little.

       
  • A correction: Qt is better, but far from perfect. It seems slowing down after a moment. Every character added to the line makes things more difficult. Still, at this moment, going back to QCE rendering makes typing almost impossible. I do not remember this issue before 2.6.2, even though the editor in 2.6.2 seemed initially very clear in Retina and beautiful to look at.

     
  • can you provide the document so that i see the issue here ?

     
  • I think I did it already. I am doing it once more.

    Yours
    Marcin

    ------ Wiadomość oryginalna ------
    Temat: [texstudio:bugs] #794 Slow typing on OSX
    Nadawca: Jan Sundermeyer jsundermeyer@users.sf.net
    Adresat: [texstudio:bugs] 794@bugs.texstudio.p.re.sf.net
    Data: 23.08.2013 12:45

    can you provide the document so that i see the issue here ?


    [bugs:#794] http://sourceforge.net/p/texstudio/bugs/794/ Slow
    typing on OSX

    Status: open
    Created: Mon Aug 19, 2013 09:15 PM UTC by Kevin Davies
    Last Updated: Fri Aug 23, 2013 10:22 AM UTC
    Owner: nobody

    Typing in a large complex document is slow and unusable on OSX. I
    tried opening a new document in a new tab, but it is still slow.
    However, if I close the tab with the large document, the typing speeds
    up. So unfortunately it is unusable for me.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/bugs/794/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #794

  • zkey
    zkey
    2013-09-01

    I had the same issue on my Mac Pro (OS X 10.8.4).
    When I changed the Appearance -> Style-Option in the preferences from 'default' to 'Macintosh (aqua)', this issue was gone.

     
  • should be fixed in repository

     
    • status: open --> fixed
    • Group: -->